Loading...
Searching...
No Matches
UFF.h File Reference
`#include <RDGeneral/export.h>`
`#include <ForceField/ForceField.h>`
`#include <GraphMol/ForceFieldHelpers/FFConvenience.h>`
`#include <RDGeneral/RDThreads.h>`
`#include "Builder.h"`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::UFF

## Functions

std::pair< int, double > | RDKit::UFF::UFFOptimizeMolecule (ROMol &mol, int maxIters=1000, double vdwThresh=10.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Convenience function for optimizing a molecule using UFF.
void | RDKit::UFF::UFFOptimizeMoleculeConfs (ROMol &mol, std::vector< std::pair< int, double > > &res, int numThreads=1, int maxIters=1000, double vdwThresh=10.0, bool ignoreInterfragInteractions=true)